Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 31 Jul 2022 13:02:46 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I am a registered person of determination in Dubai who purchased an item online and checked out as guest. I ordered the item in the wrong size and need to exchange for a smaller size. I spoke to 2 of the most rude customer service employees, one of which falsely proclaimed to be a manager , when actually she was a supervisor. She offered no solutions to resolve this issue, she could not have been more rude. I asked repeatedly for a valid reason as why the exchange was not possible and all she could say on repeat was that this was due to availability, which is NOT true as I explained the item is showing on website that in stock and the size I need is available. I can’t believe that this kind of treatment towards me would be allowed , as a disabled man what I am asking is not an unreasonable request all companies in Dubai have the same policy that you can return or exchange with 14 days. This treatment to me will not be tolerated! The second agent lied several times throughout the call making me further irate. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4673422